org.yaml.snakeyaml.comments

## Class CommentLine

- java.lang.Object
- - org.yaml.snakeyaml.comments.CommentLine

    public class CommentLine
    extends Object

A comment line. May be a block comment, blank line, or inline comment.

### Constructor Summary

Constructors
Constructor and Description
`CommentLine(CommentEvent event)`
`CommentLine(Mark startMark, Mark endMark, String value, CommentType commentType)`

### Method Summary

Methods
`CommentType` `getCommentType()`
`Mark` `getEndMark()`
`Mark` `getStartMark()`
`String` `getValue()` Value of this comment.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CommentLine

    public CommentLine(CommentEvent event)

#### CommentLine

    public CommentLine(Mark startMark,
               Mark endMark,
               String value,
               CommentType commentType)

### Method Detail

#### getEndMark

    public Mark getEndMark()

#### getStartMark

    public Mark getStartMark()

#### getCommentType

    public CommentType getCommentType()

#### getValue

    public String getValue()

Value of this comment.

Returns:
  comment's value.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`